<app-loading *ngIf="isLoading"></app-loading>
<label class="input__label">Property<span class='label__required'>*</span></label>
<div class='index-setting'>
  <nz-tag
    *ngFor="let config of configs; let i = index"
    [nzMode]="'closeable'"
    (nzOnClose)="handleClose(config)"
    nzTooltipTitle="{{config}}" nzTooltipPlacement="bottom" nz-tooltip
  >
    {{ sliceTagName(config) }}
  </nz-tag>
  <nz-tag *ngIf="!inputVisible" class="editable-tag" nzNoAnimation (click)="showInput()">
    <span nz-icon nzType="plus"></span>
    Property
  </nz-tag>
  <input
    #inputElement
    nz-input
    nzSize="small"
    *ngIf="inputVisible"
    type="text"
    [(ngModel)]="inputValue"
    style="width: 100px;"
    (blur)="handleInputConfirm()"
    (keydown.enter)="handleInputConfirm()"
  />
</div>
<div class="show-error" *ngIf="isSubmitted && configs.length === 0">
  <em nz-icon nzType="close-circle" nzTheme="outline"></em>
  <span class="text__message">{{'system.validate.property' | translate}}</span>
</div>
<div *nzModalFooter class="footer">
  <mb-button mbButtonType="BORDER"  mbButtonSize="LARGE" (click)="cancel()" mbButtonBgColor="transparent"
             mbButtonAvailableStyle="DEFAULT" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
  <mb-button mbButtonType="NO_BORDER" mbType='SUBMIT' mbButtonSize="LARGE" (click)="save()" mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</div>
